* Sutradhar, Rao, and Bellemare (Agricultural Economics, 2019)
* Replication Code

clear
drop _all

use "C:\SutradharRaoBellemareSupermarketChannel.dta"

label variable Herfindhal_index_land "HHI for Land"
label variable Herfindhal_Index_output "HHI for Output"
label variable supermarket_channel "Supermarket Channel Participant"
label variable supermarket_network_now "Supermarket Channel Participants in Social Network"
label variable age_hhh "Age"
label variable edu_hhh "Education"
label variable social_capital_now "Member of Coop or SHG"
label variable total_land_owned_now "Landholdings"
label variable total_family_member "Household Size"
label variable total_farmequipment_now "Value of Farm Equipment"
label variable offfarm_dummy_now "Off Farm Work"


log using "C:\SutradharRaoBellemareSupermarketChannel.smcl", replace

* Table 1a: Descriptive Statistics *

mean Herfindhal_index_land Herfindhal_Index_output supermarket_channel supermarket_network_now age_hhh edu_hhh social_capital_now total_land_owned_now total_family_member  total_farmequipment_now offfarm_dummy_now
mean Herfindhal_index_land Herfindhal_Index_output supermarket_channel supermarket_network_now age_hhh edu_hhh social_capital_now total_land_owned_now total_family_member  total_farmequipment_now offfarm_dummy_now if supermarket_channel==0
mean Herfindhal_index_land Herfindhal_Index_output supermarket_channel supermarket_network_now age_hhh edu_hhh social_capital_now total_land_owned_now total_family_member  total_farmequipment_now offfarm_dummy_now if supermarket_channel==1

ttest Herfindhal_index_land, by(supermarket_channel)
ttest Herfindhal_Index_output, by(supermarket_channel)
ttest supermarket_network_now, by(supermarket_channel)
ttest age_hhh, by(supermarket_channel)
ttest edu_hhh, by(supermarket_channel)
ttest social_capital_now, by(supermarket_channel)
ttest total_land_owned_now, by(supermarket_channel)
ttest total_family_member, by(supermarket_channel)
ttest total_farmequipment_now, by(supermarket_channel)
ttest offfarm_dummy_now, by(supermarket_channel)

* Table 1b: Descriptive Statistics by Year *

mean Herfindhal_index_land Herfindhal_Index_output supermarket_channel supermarket_network_now age_hhh edu_hhh social_capital_now total_land_owned_now total_family_member  total_farmequipment_now offfarm_dummy_now if year==2009
mean Herfindhal_index_land Herfindhal_Index_output supermarket_channel supermarket_network_now age_hhh edu_hhh social_capital_now total_land_owned_now total_family_member  total_farmequipment_now offfarm_dummy_now if year==2014

ttest Herfindhal_index_land, by(year)
ttest Herfindhal_Index_output, by(year)
ttest supermarket_network_now, by(year)
ttest age_hhh, by(year)
ttest edu_hhh, by(year)
ttest social_capital_now, by(year)
ttest total_land_owned_now, by(year)
ttest total_family_member, by(year)
ttest total_farmequipment_now, by(year)
ttest offfarm_dummy_now, by(year)


* Table 2: HHI of (Gross) Land vs. Supermarket Channel Dummy *

regress  Herfindhal_index_land  supermarket_channel age_hhh edu_hhh social_capital_now total_land_owned_now total_family_member  total_farmequipment_now offfarm_dummy_now, vce(cluster hhid)

ivreg2  Herfindhal_index_land  age_hhh edu_hhh social_capital_now total_land_owned_now total_family_member  total_farmequipment_now offfarm_dummy_now (supermarket_channel =supermarket_network_now), first cluster(hhid)

xtreg  Herfindhal_index_land  supermarket_channel age_hhh edu_hhh social_capital_now total_land_owned_now total_family_member  total_farmequipment_now offfarm_dummy_now, fe i(hhid) vce(cluster hhid)

xtivreg  Herfindhal_index_land age_hhh edu_hhh social_capital_now total_land_owned_now total_family_member  total_farmequipment_now offfarm_dummy_now (supermarket_channel= supermarket_network_now), fe i(hhid)first vce(cluster hhid)


* Table 3: HHI of (Gross) Land vs. Share of Produce Sold to Supermarket Channel *

regress  Herfindhal_index_land   supermarket_share_quantity age_hhh edu_hhh social_capital_now total_land_owned_now total_family_member  total_farmequipment_now offfarm_dummy_now, vce(cluster hhid)

ivreg2  Herfindhal_index_land  age_hhh edu_hhh social_capital_now total_land_owned_now total_family_member  total_farmequipment_now offfarm_dummy_now ( supermarket_share_quantity =supermarket_network_now), first cluster(hhid)

xtreg  Herfindhal_index_land   supermarket_share_quantity age_hhh edu_hhh social_capital_now total_land_owned_now total_family_member  total_farmequipment_now offfarm_dummy_now, fe i(hhid) vce(cluster hhid)

xtivreg  Herfindhal_index_land age_hhh edu_hhh social_capital_now total_land_owned_now total_family_member  total_farmequipment_now offfarm_dummy_now (supermarket_share_quantity= supermarket_network_now), fe i(hhid) first vce(cluster hhid)

* Table 4: HHI of (Gross) Output vs. Supermarket Channel Dummy *

regress Herfindhal_Index_output  supermarket_channel age_hhh edu_hhh social_capital_now total_land_owned_now total_family_member  total_farmequipment_now offfarm_dummy_now, vce(cluster hhid)

ivreg2   Herfindhal_Index_output  age_hhh edu_hhh social_capital_now total_land_owned_now total_family_member  total_farmequipment_now offfarm_dummy_now (supermarket_channel =supermarket_network_now), first cluster(hhid)

xtreg  Herfindhal_Index_output  supermarket_channel age_hhh edu_hhh social_capital_now total_land_owned_now total_family_member  total_farmequipment_now offfarm_dummy_now, fe i(hhid) vce(cluster hhid)

xtivreg Herfindhal_Index_output   age_hhh edu_hhh social_capital_now total_land_owned_now total_family_member  total_farmequipment_now offfarm_dummy_now (supermarket_channel= supermarket_network_now), fe i(hhid) first vce(cluster hhid)

* Table 5: HHI of (Gross) Output vs. Share of Produce Sold to Supermarket Channel *

regress Herfindhal_Index_output   supermarket_share_quantity age_hhh edu_hhh social_capital_now total_land_owned_now total_family_member  total_farmequipment_now offfarm_dummy_now, vce(cluster hhid)

ivreg2 Herfindhal_Index_output   age_hhh edu_hhh social_capital_now total_land_owned_now total_family_member  total_farmequipment_now offfarm_dummy_now (supermarket_share_quantity =supermarket_network_now),first cluster(hhid)

xtreg  Herfindhal_Index_output   supermarket_share_quantity age_hhh edu_hhh social_capital_now total_land_owned_now total_family_member  total_farmequipment_now offfarm_dummy_now, fe i(hhid) vce(cluster hhid)

xtivreg  Herfindhal_Index_output age_hhh edu_hhh social_capital_now total_land_owned_now total_family_member  total_farmequipment_now offfarm_dummy_now ( supermarket_share_quantity= supermarket_network_now),fe i(hhid) first vce(cluster hhid)

log close



